<?
if(!defined("B_PROLOG_INCLUDED") || B_PROLOG_INCLUDED!==true) die();
/** @var CBitrixComponent $this */
/** @var array $arParams */
/** @var array $arResult */
/** @var string $componentPath */
/** @var string $componentName */
/** @var string $componentTemplate */
/** @global CDatabase $DB */
/** @global CUser $USER */
/** @global CMain $APPLICATION */

use Bitrix\Main\Context,
	Bitrix\Main\Type\DateTime,
	Bitrix\Main\Loader,
	Bitrix\Iblock;

if($this->StartResultCache(60*60*24, md5(var_export($_POST, true))))
{
	if(CModule::IncludeModule('iblock'))
	{
		$arResult = [
			'OFFERS' => [], 
		];

		$sort = [ "SORT" => "ASC" ];
		$filter = [ "ACTIVE" => "Y", "IBLOCK_ID" => IBLOCK_ID_SPECIALS, "ID" => $arParams['IDS'] ];
		$options = false;

		$res = CIBlockElement::GetList($sort, $filter, false, $options);	
		while ($element = $res->GetNextElement())
		{
			$ar_res = $element->GetFields();
			$ar_res['PROPERTIES'] = $element->GetProperties();

			if(isset($ar_res['PREVIEW_PICTURE']))
			{
				$ar_res['PREVIEW_PICTURE'] = CFile::GetPath($ar_res['PREVIEW_PICTURE']);
			}

			$arResult['OFFERS'][] = $ar_res;
		}

		$this->IncludeComponentTemplate();
	}
}